Bug 453849 - Review Request: globus-libtool - Globus Toolkit - Globus libtool package (virtual GPT glue package)
Review Request: globus-libtool - Globus Toolkit - Globus libtool package (vir...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On: gpt 453848
Blocks: globus 453851 467235
  Show dependency treegraph
 
Reported: 2008-07-02 18:08 EDT by Mattias Ellert
Modified: 2009-03-25 12:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.2-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 12:06:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
hdegoede: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2008-07-02 18:08:16 EDT
Spec URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/info/globus-libtool.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/src/SRPMS/globus-libtool-1.1-0.1.fc9.src.rpm
Description :
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-libtool package contains:
Globus libtool package (virtual GPT glue package)

BuildRequires:  gpt
BuildRequires:  libtool
BuildRequires:  globus-core-devel >= 4
Comment 2 Mattias Ellert 2009-01-05 19:43:08 EST
This package was updated due to the renaming of the GPT package.

SRPM: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-libtool-1.2-0.3.fc10.src.rpm

SPEC: http://www.grid.tsl.uu.se/repos/globus/info/globus-libtool.spec
Comment 3 Hans de Goede 2009-03-13 09:36:46 EDT
I've just done a full review, basicly the same issues as with globus-core:

MUST FIX
--------
* Add s390x as 64 bit arch
* Since this is for devel use only, drop the -devel subpackage and
  put all %files in main package
* Document Source# origin

I guess the same goes for a lot of the other globus-packages it would be good if you could do an update of those too.
Comment 4 Mattias Ellert 2009-03-15 02:39:52 EDT
(In reply to comment #3)
> I've just done a full review, basicly the same issues as with globus-core:
> 
> MUST FIX
> --------
> * Add s390x as 64 bit arch
> * Since this is for devel use only, drop the -devel subpackage and
>   put all %files in main package
> * Document Source# origin
> 
> I guess the same goes for a lot of the other globus-packages it would be good
> if you could do an update of those too.  

Your 1st and 3rd point are trival (and I had already fixed them in my private copy after your comments to globus-core but not uploaded a new version yet).

The 2nd point I think is a misunderstanding. The main subpackage is not a devel package. It is there to satisfy a runtime dependency, not a build dependency.

The globus-libtool and globus-openssl packages are what I call GPT glue packages. They provide the GPT metadata files for packages already in the distribution (libtool-ltdt and openssl), so that the packages in the distribution can be used instead of duplicating them - which would violate the packaging guidelines.

As the packages they replace they have a main and a devel subpackage (globus-openssl even has a utils subpackage to split off the dependency on the openssl binaries from the openssl libraries - which the GPT package does but Fedora package does not do).

If someone installs the binary globus packages and the grid-packaging-tools package and uses gpt to examine the installed packages the user will get a complaint about missing packages if the GPT metadata from the main package is missing, but this user has no need for neither the GPT metadata from the devel subpackage nor of the dependencies it drags in.

Also, all the RPM package dependencies in the specfiles for the globus packages are autogenerated from the GPT source package metadata. Packages that require the libltdl runtime libraries will therefore depend on globus-libtool rather than libltdl directly and get the libltdl library dependency from the globus-libtool glue package. In this way the necessary GPT package descriptions are there if someone uses gpt to verify the installation as above, and the RPM dependency generation is kept simple.

Merging devel with main in this package would spoil the clear separation between development and runtime libraries and make a binary only installation depend on development packages in the distribution and drag in unnecessary dependencies.
Comment 5 Mattias Ellert 2009-03-15 19:57:57 EDT
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-libtool-1.2-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-libtool.spec
Comment 6 Hans de Goede 2009-03-16 06:01:16 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > MUST FIX
> > --------
> > * Since this is for devel use only, drop the -devel subpackage and
> >   put all %files in main package

<snip>

> The 2nd point I think is a misunderstanding. The main subpackage is not a devel
> package. It is there to satisfy a runtime dependency, not a build dependency.
> 
> The globus-libtool and globus-openssl packages are what I call GPT glue
> packages. They provide the GPT metadata files for packages already in the
> distribution (libtool-ltdt and openssl), so that the packages in the
> distribution can be used instead of duplicating them - which would violate the
> packaging guidelines.
> 
> As the packages they replace they have a main and a devel subpackage
> (globus-openssl even has a utils subpackage to split off the dependency on the
> openssl binaries from the openssl libraries - which the GPT package does but
> Fedora package does not do).
> 
> If someone installs the binary globus packages and the grid-packaging-tools
> package and uses gpt to examine the installed packages the user will get a
> complaint about missing packages if the GPT metadata from the main package is
> missing, but this user has no need for neither the GPT metadata from the devel
> subpackage nor of the dependencies it drags in.
> 

Thanks for explaining I understand better now.

> Also, all the RPM package dependencies in the specfiles for the globus packages
> are autogenerated from the GPT source package metadata. Packages that require
> the libltdl runtime libraries will therefore depend on globus-libtool rather
> than libltdl directly and get the libltdl library dependency from the
> globus-libtool glue package. In this way the necessary GPT package descriptions
> are there if someone uses gpt to verify the installation as above, and the RPM
> dependency generation is kept simple.
> 

Ah, so the main package is all about gpt provides for libltdl, not libtool itself, this is what confused me as libtool itself is purely a devel tool.

> Merging devel with main in this package would spoil the clear separation
> between development and runtime libraries and make a binary only installation
> depend on development packages in the distribution and drag in unnecessary
> dependencies.  

Ack, in this case the separation is fine.
Comment 7 Hans de Goede 2009-03-16 06:08:01 EDT
(In reply to comment #5)
> New version
> - Added s390x as 64 bit arch
> - Added comment documenting source
> - Adapt to changes in the globus-core package
> 
> http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-libtool-1.2-0.5.fc10.src.rpm
> http://www.grid.tsl.uu.se/repos/globus/info/globus-libtool.spec  

Looks fine: APPROVED!

Please create a Fedora Account System account (if you haven't already) and apply for the packager group. When you've done that please drop me a mail (or a bugzilla comment) with your FAS username and I'll sponsor you.

When thats done you can do CVS requests for the 3 packages I've reviewed and
import them, for more details see:
http://fedoraproject.org/wiki/PackageMaintainers/Join

After that I wish you good luck with finding reviewers for the rest of the
globus stack. Your best bet is to send a mail to fedora-devel mailing list and
ask for other packagers to swap reviews with (so you review one of their packages and they review one of yours).
Comment 8 Hans de Goede 2009-03-16 06:13:59 EDT
One last remark, when you review other people's packages its a good idea to use a checklist like this one:
http://fedoraproject.org/wiki/JasonTibbitts/ReviewTemplate

And then put +/-/0 in front of all the items, and at the end summarize with
a should fix and must fix list.

Also do not hesitate to contact me when you've got questions when reviewing other
people's packages.
Comment 9 Mattias Ellert 2009-03-16 19:22:15 EDT
(In reply to comment #7)
> Please create a Fedora Account System account (if you haven't already) and
> apply for the packager group. When you've done that please drop me a mail (or a
> bugzilla comment) with your FAS username and I'll sponsor you.

My user name is ellert, and I have applied for the packager group.
Comment 10 Hans de Goede 2009-03-17 04:08:36 EDT
(In reply to comment #9)
> (In reply to comment #7)
> > Please create a Fedora Account System account (if you haven't already) and
> > apply for the packager group. When you've done that please drop me a mail (or a
> > bugzilla comment) with your FAS username and I'll sponsor you.
> 
> My user name is ellert, and I have applied for the packager group.  

Ok, you've been sponsored. Welcome as Fedora Package Maintainer !
Comment 11 Mattias Ellert 2009-03-18 11:28:23 EDT
New Package CVS Request
=======================
Package Name: globus-libtool
Short Description: Globus Toolkit - Globus libtool package
Owners: ellert
Branches: F-9 F-10 EL-4 EL-5
InitialCC:
Comment 12 Mattias Ellert 2009-03-19 03:14:14 EDT
(In reply to comment #10)
> Ok, you've been sponsored. Welcome as Fedora Package Maintainer !  

Thank you for the sponsorship. The grid-packaging-tools are now in the repo, and I have started working on the other two. I sent a mail to fedora-devel-list asking for review swappers - no replies yet, but I'm hopeful.

Once again, thank you for your time doing these reviews.
Comment 13 Kevin Fenzi 2009-03-19 23:11:06 EDT
cvs done.
Comment 14 Fedora Update System 2009-03-23 15:21:23 EDT
globus-libtool-1.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-libtool-1.2-1.fc10
Comment 15 Fedora Update System 2009-03-23 15:21:29 EDT
globus-libtool-1.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-libtool-1.2-1.fc9
Comment 16 Fedora Update System 2009-03-25 12:05:57 EDT
globus-libtool-1.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-03-25 12:09:30 EDT
globus-libtool-1.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.